跳到主要内容
版本:v2.5.x

UpdateResourceGroup()

This method updates the configuration of a resource group.

Go
func (c *Client) UpdateResourceGroup(ctx context.Context, opt UpdateResourceGroupOption, callOptions ...grpc.CallOption) error

Request Parameters​

Parameter

Description

Type

ctx

Context for the current call to work.

context.Context

opt

Optional parameters of the methods.

UpdateResourceGroupOption

callOptions

Optional parameters for calling the methods.

grpc.CallOption

UpdateResourceGroupOption​

This is an interface type. The updateResourceGroupOption struct type implements this interface type.

You can use the NewUpdateResourceGroupOption() function to get the concrete implementation.

NewUpdateResourceGroupOption​

The signature of this method is as follows:

Go
func NewUpdateResourceGroupOption(name string, resourceGroupConfig *entity.ResourceGroupConfig) *updateResourceGroupOption

Parameter

Description

Type

name

Name of the target resource group.

string

resourceGroupConfig

Configuration of the target resource group.

*entity.ResourceGroupConfig

Return​

Null

Example​

Go
import (
"context"
"github.com/milvus-io/milvus/client/v2/entity"
"github.com/milvus-io/milvus/client/v2/milvusclient"
)

err = cli.UpdateResourceGroup(ctx, milvusclient.NewUpdateResourceGroupOption("my_rg", &entity.ResourceGroupConfig{
Requests: entity.ResourceGroupLimit{NodeNum: 10},
Limits: entity.ResourceGroupLimit{NodeNum: 10},
NodeFilter: entity.ResourceGroupNodeFilter{
NodeLabels: map[string]string{"my_label1": "a"},
},
}))
if err != nil {
// handle error
}